Package com.sas.lsaf.execution.job

## Class JobProgram

- java.lang.Object
- - com.sas.lsaf.execution.job.JobProgram

- All Implemented Interfaces:
    `java.io.Serializable`

      public class JobProgram
      extends java.lang.Object
      implements java.io.Serializable

  The class that represents a way to specify the program file to use in a job submission.
  Since:
    2.4
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `JobProgram()` | Constructor.
    `JobProgram​(java.lang.String path)` | Constructor.
    `JobProgram​(java.lang.String path, java.lang.String version)` | Constructor.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `equals​(java.lang.Object obj)` |
    `java.lang.String` | `getPath()` | Gets the path to the program file.
    `java.lang.String` | `getVersion()` | Gets the version of the program file.
    `int` | `hashCode()` |
    `void` | `setPath​(java.lang.String path)` | Sets the path to the program file.
    `void` | `setVersion​(java.lang.String version)` | Sets the version of the program file to use when submitting a published job.
    `java.lang.String` | `toString()` |

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JobProgram

          public JobProgram()

      Constructor.

    - #### JobProgram

          public JobProgram​(java.lang.String path)

      Constructor.
      Parameters:
        `path` - The path to the program file to use in a job.

    - #### JobProgram

          public JobProgram​(java.lang.String path,
                            java.lang.String version)

      Constructor.
      Parameters:
        `path` - The path to the program file to use in a job.
        `version` - The version of the program file to use when submitting a published job.

  - ### Method Detail

    - #### getPath

          public java.lang.String getPath()

      Gets the path to the program file.
      Returns:
        The path to the program file.

    - #### setPath

          public void setPath​(java.lang.String path)

      Sets the path to the program file.
      Parameters:
        `path` - The path to the program file.

    - #### getVersion

          public java.lang.String getVersion()

      Gets the version of the program file.
      Returns:
        The version of the program. The default is the latest version (null).

    - #### setVersion

          public void setVersion​(java.lang.String version)

      Sets the version of the program file to use when submitting a published job.
      Parameters:
        `version` - The version of the program file.

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals​(java.lang.Object obj)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`